CREATE TABLE `cim_production_details` (
  `id` bigint(20) NOT NULL,
  `factory_no` varchar(50) DEFAULT '' COMMENT '工厂编号',
  `factory_name` varchar(50) DEFAULT '' COMMENT '工厂名称',
  `nature` varchar(1) DEFAULT '' COMMENT '性质',
  `expected_quantity` decimal(15,3) DEFAULT NULL COMMENT '预计产量',
  `expected_commencement_date` datetime DEFAULT NULL COMMENT '预计开工日期',
  `estimated_completion_date` datetime DEFAULT NULL COMMENT '预计完工日期',
  `production_management_person` varchar(50) DEFAULT '' COMMENT '生管人员',
  `production_management_department` varchar(50) DEFAULT '' COMMENT '生管部门',
  `work_no` varchar(50) DEFAULT '' COMMENT '工单单号',
  `production_status` varchar(32) DEFAULT '' COMMENT '状态',
  `batch_no` varchar(32) DEFAULT '' COMMENT '生产批号',
  `sku_code` varchar(32) DEFAULT '' COMMENT '品号',
  `sku_name` varchar(32) DEFAULT '' COMMENT '品名',
  `sku_spec` varchar(32) DEFAULT '' COMMENT '规格',
  `unit` varchar(32) DEFAULT '' COMMENT '单位',
  `produce_boss` varchar(32) DEFAULT '' COMMENT '生产主管',
  `overdue_days` varchar(32) DEFAULT '' COMMENT '逾期天数',
  `tenantsid` bigint(20) DEFAULT NULL COMMENT '租户sid',
  `tenant_id` varchar(20) DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `modified_by` varchar(50) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  `deleted` tinyint(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `cim_receivables_detail` (
  `id` bigint(20) NOT NULL,
  `receivable_no` varchar(100) DEFAULT '' COMMENT '应收单号',
  `receivable_non` varchar(100) DEFAULT '' COMMENT '应收单序号',
  `customer_no` varchar(100) DEFAULT '' COMMENT '客户编号',
  `customer_name` varchar(100) DEFAULT '' COMMENT '客户名称',
  `status` varchar(1) DEFAULT '' COMMENT '状态',
  `sales_order` varchar(32) DEFAULT '' COMMENT '销售单号',
  `sales_order_number` varchar(32) DEFAULT '' COMMENT '销售单序号',
  `contract_no` varchar(100) DEFAULT '' COMMENT '合同编号',
  `amount_tax` decimal(15,3) DEFAULT NULL COMMENT '含税金额',
  `sku_code` varchar(50) DEFAULT '' COMMENT '品号',
  `sku_name` varchar(50) DEFAULT '' COMMENT '品名',
  `sku_spec` varchar(50) DEFAULT '' COMMENT '规格',
  `price_tax` decimal(15,3) DEFAULT NULL COMMENT '含税单价',
  `quantity` decimal(15,3) DEFAULT NULL COMMENT '数量',
  `receivable_date` datetime DEFAULT NULL COMMENT '应收日期',
  `contacts` varchar(50) DEFAULT '' COMMENT '联系人',
  `contact_information` varchar(100) DEFAULT '' COMMENT '联系方式',
  `salesman_assistant` varchar(100) DEFAULT '' COMMENT '业务助理',
  `salesman` varchar(100) DEFAULT '' COMMENT '业务员',
  `salesman_boss` varchar(100) DEFAULT '' COMMENT '业务主管',
  `work_no` varchar(100) DEFAULT '' COMMENT '工单单号',
  `overdue_days` varchar(50) DEFAULT '' COMMENT '逾期天数',
  `tenantsid` bigint(20) DEFAULT NULL COMMENT '租户sid',
  `tenant_id` varchar(20) DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `modified_by` varchar(50) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  `deleted` tinyint(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `cim_collection_detail` (
  `id` bigint(20) NOT NULL,
  `receivable_no` varchar(100) DEFAULT '' COMMENT '应收单号',
  `receivable_non` varchar(100) DEFAULT '' COMMENT '应收单序号',
  `customer_no` varchar(100) DEFAULT '' COMMENT '客户编号',
  `customer_name` varchar(100) DEFAULT '' COMMENT '客户名称',
  `status` varchar(1) DEFAULT '' COMMENT '状态',
  `sales_order` varchar(32) DEFAULT '' COMMENT '销售单号',
  `sales_order_number` varchar(32) DEFAULT '' COMMENT '销售单序号',
  `contract_no` varchar(100) DEFAULT '' COMMENT '合同编号',
  `amount_tax` decimal(15,3) DEFAULT NULL COMMENT '含税金额',
  `sku_code` varchar(50) DEFAULT '' COMMENT '品号',
  `sku_name` varchar(50) DEFAULT '' COMMENT '品名',
  `sku_spec` varchar(50) DEFAULT '' COMMENT '规格',
  `price_tax` decimal(15,3) DEFAULT NULL COMMENT '含税单价',
  `quantity` decimal(15,3) DEFAULT NULL COMMENT '数量',
  `receivable_date` datetime DEFAULT NULL COMMENT '应收日期',
  `contacts` varchar(50) DEFAULT '' COMMENT '联系人',
  `contact_information` varchar(100) DEFAULT '' COMMENT '联系方式',
  `salesman_assistant` varchar(100) DEFAULT '' COMMENT '业务助理',
  `salesman` varchar(100) DEFAULT '' COMMENT '业务员',
  `salesman_boss` varchar(100) DEFAULT '' COMMENT '业务主管',
  `work_no` varchar(100) DEFAULT '' COMMENT '工单单号',
  `overdue_days` varchar(50) DEFAULT '' COMMENT '逾期天数',
  `tenantsid` bigint(20) DEFAULT NULL COMMENT '租户sid',
  `tenant_id` varchar(20) DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `modified_by` varchar(50) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  `deleted` tinyint(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `cim_limit_credit` (
  `id` bigint(20) NOT NULL,
  `customer_no` varchar(100) DEFAULT '' COMMENT '客户编号',
  `customer_name` varchar(100) DEFAULT '' COMMENT '客户名称',
  `limit_amount` decimal(15,3) DEFAULT NULL COMMENT '信用额度',
  `tenantsid` bigint(20) DEFAULT NULL COMMENT '租户sid',
  `tenant_id` varchar(20) DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `modified_by` varchar(50) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  `deleted` tinyint(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- 修改问题明细长度
ALTER TABLE `cim_chat_file` MODIFY COLUMN `question` varchar (500);

-- 催收表新增处理人
alter table cim_collection_detail Add column processed_by varchar(32) null default '' COMMENT '处理人';


--新增生产主管字段
alter table cim_collection_detail Add column produce_boss varchar(100) null default '' COMMENT '生产主管';

alter table cim_receivables_detail Add column produce_boss varchar(100) null default '' COMMENT '生产主管';

--修改问题明细跟处理详情字段类型
ALTER TABLE `cim_chat_file` MODIFY COLUMN `question` text, MODIFY COLUMN `complete_explain` text;

--应收表增加邮箱,限制金额字段
alter table cim_receivables_detail Add column email varchar(50) null default '' COMMENT '邮箱',Add column limit_amount decimal(15,3) DEFAULT NULL COMMENT '限制金额';

--修改规格字段长度
ALTER TABLE `cim_receivables_detail` MODIFY COLUMN `sku_spec` varchar (255);
ALTER TABLE `cim_collection_detail` MODIFY COLUMN `sku_spec` varchar (255);

--添加消费额度字段
alter table cim_collection_detail Add column quota_details varchar(32) null default '' COMMENT '消费额度';
alter table cim_receivables_detail Add column quota_details varchar(32) null default '' COMMENT '消费额度';
